Subject: bug#69056: 30.0.50; history-add-new-input and recursive minibuffers

From: Stefan Monnier <[email-masked]>
Date: Thu, 15 Feb 2024 14:20:08 -0500

>> Why not use `Vhistory_add_new_input`?
> Good question, I guess for some reason I assumed that `NILP (Vfoo)`
> doesn't check the buffer-local value like `find_symbol_value (Qfoo)`
> does...

The handling of Vfoo is quite delicate, but it does give you the value
in the current-buffer (i.e. they're changed as needed whenever we go
through `set_buffer`).

> Oh, that's much simpler indeed.  And it seems to work just as well.
> Here's an updated patch (v2):

LGTM.
Eli&Stefan, any objection?

        Stefan